## For those of you who have played League
- tl;dr, it's early season 11 AD on-hit Katarina with Conqueror and reverse Lethal Tempo using her PROJECT: skin.
## and For those of you who haven't...
[![](https://cdn.discordapp.com/attachments/491077949823385602/886420085718286376/unknown.png)]()
*''Violence solves everything...''*

## Introduction
The Noxian invasion goes interplanetary! Katarina Du Couteau, the Sinister Blade, has come to Petrichor V in order to further her martial prowess. Seeking to annex the planet for the glory of Noxus, she may get more than she bargained for upon reaching its moon....

## Passive
[![](https://cdn.discordapp.com/attachments/323183130930315266/879578280028688464/screencap_2.png)]()
- 75% chance to gain a stack on killing an enemy with Sinister Steel or Shunpo. 45% chance to gain a stack on killing an enemy with a Voracious Blade, stacks infinitely
- Conqueror stacks have various interactions with your other abilities, as follows:
- ~~At 2 stacks~~ Innately, you heal for 4% of your basic attack damage
- At 8 stacks, you heal for 12% of your basic attack damage
- At 15 stacks, you heal for the capped amount of 25% your total basic attack damage
- At 20 stacks, your Shunpo gains ***slayer***
- At 30 stacks, Katarina is truly in her element, and moves with such speed that the enemy cannot perceive her, Shunpo *cloaks* on-cast for 1.3s.
## Passive 2, Electric Boogaloo
[![](https://cdn.discordapp.com/attachments/491077949823385602/879871775121494036/unknown.png)]()
- This one is actually describable in a single skill description so no extra info here.

## Primary
[![](https://cdn.discordapp.com/attachments/491077949823385602/879871688903360574/unknown.png)]()
- A master assassin and noble of the Du Couteau family sees no use for petty drugs, pauldrons, or Freljordian bear pelts; and as such, has a fixed attack speed.
- Basic attack speed is determined by Conqueror stacks, capping at 3.35 total (about ~15 syringes)
- Damage is determined by stacks put through a forumla found in Misc Info

## Secondary
[![](https://cdn.discordapp.com/attachments/491077949823385602/879871844172300288/unknown.png)]()
- Decently high velocity, useful at mid to close range
- More than capable of sniping enemies when accounting for bullet-drop
- Can throw while sprinting

## Utility
[![](https://cdn.discordapp.com/attachments/491077949823385602/886403385690058772/unknown.png)]()
- Exactly what you think it is
- In all of its glory
- Reduces enemy armor by 60 for 0.75s
- 270% damage
- Cast time is 0.25 seconds
- Hold to aim, can aim while sprinting
- Gives i-frames for 0.9 seconds, starting when you release the key
- Uses a raycast to find its destination, so if you couldn't shoot your target you will receive the unintended result of
- Arriving a large distance above target location, commonly inducing heavy fall damage. Be careful and precise when aiming long distances. Jumping also helps to eliminate misfires
- Does have a max range, but it's quite high.

## Special
[![](https://cdn.discordapp.com/attachments/491077949823385602/879872053518418000/unknown.png)]()
- 2.5s static channel time
- Absurdly high base damage per dagger
- Cannot be canceled by any means, including being frozen
- Can suspend you in the air
- Applies Cripple
- Reduces Conqueror stacks less the more you have. Costs 5 stacks when >20, 7 when >14, and 9 when below 14


## General Insights
 She has a higher than average base health pool and 0.75 armor growth per level. Low base damage, and lower damage growth per level (2.1 vs 2.4 for most vanilla survivors) with the design intent to make her a scaling champion more akin to an ADC than a midlaner in Risk of Rain's context. A bruiser-oriented playstyle where the longer you are in combat, the more you are rewarded for it, which allows you to stay in combat longer. A unique power fantasy that inspired me so much I decided to start learning C# just to make it in a different game. I hope you enjoy playing her as much as I enjoyed making her!

## Credits
- ArcSinJesse - for giving me the confidence to start this project and helping me spend as little time as possible (initially) in Unity. Also coded most of Death Lotus.
- Bubbet - for being extremely patient and willing to teach someone who has general coding knowledge but next-to-none on C# when I had started. ArcSinJesse helped my idea get off the ground but the true medal of honor goes to Bubbet for teaching me nearly everything I know now; both about RoR2's code specifically, and more generally about C# as a whole.
- Scoops & EmilyMakar - for being my muse and successfully convincing me a melee survivor isn't immediately at a huge disadvantage because they're melee; and that a full-offense/little-to-no-defense kit can be fun and rewarding while also remaining gameplay-viable and relevant towards the late game.
- Adzelliper - assistance with Shunpo and understanding movement vectors. (1.0)
- Lemonlust - for collaborating with me to completely redesign 1.2's Shunpo
- Tymmey - for code reference on a lot of general things I wanted to accomplish
- rob - for his Henry mod that has served as the foundation for so many custom survivors

## Miscellaneous info
- Formula for basic attack damage is 2.1[dmgcoefficient] * 11[basedamagestat] * (*Stacks* * 0.06 + 1)
- A few checks are ran for resetting your stacks
- Check 1 counts how long it's been since you've taken damage
- Check 2 counts how long it's been since you've killed an enemy with your melee attacks or Shunpo (note NOT if you gained a stack from the kill, just if an enemy died in this manner)
- Check 3 counts how long it's been since you've killed an enemy with your Voracious Blade and runs alongside check 2 but resets ONLY when you get a stack from the kill
- If you're marked OutOfDanger and these timers have all expired, your stacks are set to zero.
- I'm not profiting off of this so I'm pretty sure I don't have to claim Fair Use but all assets/animations/SFX used are property of Riot Games Inc. blah blah blah... I didn't make the assets, I just wrote the code.

## Known Issues
- Some items are super small (like Sticky Bomb) because they didn't save when I was working with them after scaling up the body prefab, so those outliers will be adjusted next update.
- She is incompatible with multiplayer because her resets only work for the host and the sound events are called globally on every client. I didn't design her with multiplayer in mind as I normally play only solo but either way I will fix this in the ~~next update~~ when I have the mental fortitude enough to learn networking.
- You can cancel Shunpo with an autoattack if you swipe and cast it at the same time, putting the skill on full cooldown and doing nothing; so try to avoid this for now. ~~Messing with skill priority does not fix this~~ this is a side effect of allowing you to sprint while using it as they belong to different `EntityStateMachines`

-- Bug Reporting/Feedback/Troubleshooting yell at me in the RoR2 Modding Discord @ Nines#9904
- I am open to suggestions for new Conqueror effects! This system is easy to write into so if you have an interesting idea let me hear it
- Putting a spherecast on Shunpo kinda sucks; it hampers its functionality on terrain and vs large groups of enemies. If you wanted to assist with this or have a better idea than a raycast, suggestions are more than welcome on this as well.

## Future Plans
- Add a proper death animation
- I have a few concepts written down (and some coded) for a Night Harvester variant where she functions more similar to Bandit, resetting all of her cooldowns all at once, rather than individually. It would be a fork of this mod but with a few very considerable gameplay tweaks, this version will be without Conqueror and her skin/ associated SFX will be Battle Academia.
- I have decided on Vayne as my next survivor. Her abilities feel relatively simple to make which allows me to practice my VFX prowess. PROJECT skin again because it's my favorite skinline, and yes, it will include her bike.  
## here's a sneak peek...
[![](https://cdn.discordapp.com/attachments/323183130930315266/881723444000083968/unknown.png)]()
[![](https://cdn.discordapp.com/attachments/323183130930315266/881723476807909426/unknown2.png)]()

## Changelog
`1.2.5` Hotfix
- Let's not talk about that

`1.2.4` Hotfix
-- Very small update this time, I have been hard at work on both Vayne and bringing Katarina to Thunderkit. I have managed to add almost all 42 of PROJECT: Vayne's animations from League to her survivor counterpart. Complete with a several alternative/additive animations for Final Hour and of course her bike in all its glory. Also when I finish porting Katarina to Thunderkit, Battle Queen will be the first alternate skin, then possibly Battle Academia after that. Whether or not the Night Harvester variant of her kit will be merged with or independant from her TK release remains to be seen, but I am leaning towards the former. I may keep Conqueror and I may not and just make it a separate kit entirely, with Electrocute. It's been taking a while though so I wouldn't dare give a release date. Vayne will most likely definitely release before this is completed and is much less further out. This is the last update Katarina will receive before her Thunderkit overhaul.
- Resets have been adjusted to be even more forgiving, somewhat in lieu of an NH kit on the horizon
- Minor stability fixes
- It's come to my attention that my Mithrix hooks are incompatible with Risk of Options and RoR Cheats, use Aerolt or DebugToolkit like the rest of the world and you won't have these issues.

`1.2.3` Hotfix
- Some wacky item scales have been fixed
- Added some quality-of-life reset mechanics that **should** kick in after stage 3
- Conqueror has been special-cased for the Mithrix fight, since there's nothing to kill and you won't be gaining any stacks. I added a small surprise as well.
- The version number is 1.2.3 and not 1.2.2 because when I had initially uploaded this I broke Commencement completely and had it removed from Thunderstore

`1.2.1`
(The REAL 1.0)
 -- It really would have been more accurate to call 1.0 more like 0.8 and this (1.2) more like 1.0 but oh well. First mod problems.

- Conqueror has been completely rewritten. Chance per-kill and per-ability have all been adjusted. Damage multiplier has been reworked into a single variable shared by all abilities rather than the hacky case-by-case manner I was previously doing it. The window for gaining a stack is better/higher overall and the window for losing stacks
is lenient but kill-reliant, continuing to promote an "all gas no brakes" playstyle. I've also put a couple more League aspects into her kit, described below.
- I intentionally made Shunpo not do damage on release because I didn't think it would fit into my grand design idea. Right now too much power leans towards her ultimate and with a cost for doing so. Rather than do anything else like nerfing her ultimate the solution is to shift the weight into stacking with her base 3 abilities and pushing Death Lotus into a circumstantial ability for dealing with tanky enemies or dangerous Elites. With this update Shunpo now does 270% damage and gives a small jump if the enemy you hit is flying to allow for chains. It resets upon killing with itself as well as (still) your melee attacks. The "hitbox" is a 180° semicircular radius in front of you (with a radius of 3) based on the direction you're aiming. Note that blinking behind enemies will not succeed in doing any damage.
- ***On-hit Build*** Attack speed (regular, not Conqueror) increases the proc coefficient for Shunpo by 0.05 per 15% attack speed (the value of one syringe).
- ***Sudden Impact*** Enemy armor is reduced by 60 for 0.75 seconds on-hit, this procs every time without regard to the above and replaces the previous Jade Elephant effect.
- ***A Gift From Brand*** Upon hitting a blazing elite with your basic attack, gain its power for 1 second.
- ***Coup De Grace*** Your basic attacks now have Slayer innately. Keep in mind your lifesteal is a percentage of the damage you deal, not a percentage of your max health, so in most situations it's actually better to stay for the kill rather than to blink away and kite to safety.
- Voracious Blade increases its damage coefficient by .1 for each Conqueror stack you have, the skill also starts at 2 charges now.
- Death Lotus now suspends you in place where you casted it with no respect to gravity, and gives Jade Elephant for its duration.
- You can sprint in any direction now
- Melee magnetism is improved
- Shunpo cooldown has been reduced to 7 seconds, down from 9
- Added Mithrix encounter/defeat quotes
- Added some item displays
- All white, green and red items are in
- Yellow tier is missing Planula, Queen's Gland, Empathy Cores, and Charged Perforator
- 6 out of 14 Lunar items are in
- I didn't do equipment because it doesn't even show all the time and there's only ever one active. I just did my favorites, which are Preon, Ocular HUD, Jade Elephant, and Eccentric Vase. Foreign Fruit, Gnarled Woodsprite and Primodial Cube are gonna come in the next update with the item scaling fixes (because I really like those too) but past that I have no plans to do the rest.
- Ability descriptions (in this readme) have been minorly updated so be sure to re-read those, I tried to cover everything here though.
- ...
- Honestly probably a lot more I've left uncatalogued because I was irresponsible this update and just overhauled half the mod without taking very many notes


`1.1.1`
Update
- Sinister Steel hitbox has been increased and is more disjointed from the model. It was supposed to be small, but not THAT small
- She has innate base lifesteal now, instead of getting the first instance at 2 stacks. No 900 gold for vamp scepter needed
- Voracious Blade now has omnivamp, this was supposed to be on release but I forgot about it
- additionally, it will now also cancel your aerial velocity to help mitigate the high fall damage Shunpo can cause, because working with BodyFlags is difficult
- added to documentation that it scales with 10% of your Conqueror stacks, this was always the case but I've never explicitly stated it
- Death Lotus now decreases your total Conqueror stacks by 13 instead of removing them entirely, stacks now have no influence on Death Lotus' damage (should have been like this from the start in hindsight, the mistakes of a first mod)
- Lotus dagger damage scales (slightly) based on attackspeed now
- It has a particle effect now
- Jump animation has been hacked together more cleanly. Kind of challenging because League champions don't jump
- Increased body size slightly because it still felt small to me
- Increased volume of Death Lotus' finishing sound event
- Increased volume of basic attack chain
- Increased base sprint speed
- I might be forgetting something, overall her gameplay feels a bit smoother now and closer to the mark I designed her to hit. Of course I didn't expect to nail it first try

`1.0.1`
Hotfix
- Cleaned up readme
- Skill descriptions are prettier, title text color now more PROJECT-themed instead of grey
- Overview section in lobby is more clear
- Added SFX for when you are at max healing
- I-frames for Shunpo actually are when you release the key now

`1.0.0`
Update
- Initial release
